package com.tofly.xrtygis.custom.mapper;

import org.springframework.data.repository.query.Param;

import java.util.List;
import java.util.Map;

/**
 * 制水改动
 * @author 20126
 */
public interface WaterMakingPlanMapper {

    /**
     * 查询制水费用
     * @param year 年份
     * @return list
     */
    List<Map> viewExpense(@Param("year") String year);

    /**
     * 查询单变计划详情
     * @param id id
     * @return list
     */
    List<Map> viewFixedPlan(@Param("id") Long id);

    List<Map> viewElectricityBill(@Param("year") String year);

    List<Map> getDosage(@Param("year") String year);
}
